extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Ciudad"
    - var ListadoCabecera = ["Codpais", "Codestado", "Codmunicipio", "Codciudad", "Descripcion"]
    - var TamanoColeccion = "tCiudades.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tCiudad of tCiudades | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tCiudad})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tCiudad.Codpais }}
        td
            h6 {{ tCiudad.Codestado }}
        td
            h6 {{ tCiudad.Codmunicipio }}
        td
            h6 {{ tCiudad.Codciudad }}
        td
            h6.text-nowrap {{ tCiudad.Descripcion }}